package co.yixiang.yshop.module.distributor.convert.distributororder;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributororder.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributororder.DistributorOrderDO;

/**
 * 分销商订单 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorOrderConvert {

    DistributorOrderConvert INSTANCE = Mappers.getMapper(DistributorOrderConvert.class);

    DistributorOrderDO convert(DistributorOrderCreateReqVO bean);

    DistributorOrderDO convert(DistributorOrderUpdateReqVO bean);

    DistributorOrderRespVO convert(DistributorOrderDO bean);

    List<DistributorOrderRespVO> convertList(List<DistributorOrderDO> list);

    PageResult<DistributorOrderRespVO> convertPage(PageResult<DistributorOrderDO> page);

    List<DistributorOrderExcelVO> convertList02(List<DistributorOrderDO> list);

}
